import { BaseService, Service } from '@/cool/index';

export class InviteService extends BaseService {
	/**
	 * 列表 b
	 */
	page(data) {
		return this.request({
			url: '/invite/list',
			params: data
		});
	}

	/**
	 * 明细 b
	 */
	info(data) {
		return this.request({
			url: '/invite/list',
			params: data
		});
	}

	/**
	 * 兑奖 b
	 */
	give(data) {
		return this.request({
			url: '/invite/give',
			params: data
		});
	}

	/**
	 * 奖励设置详情 b
	 */
	assetDetail() {
		return this.request({
			url: '/invite-asset/detail'
		});
	}

	/**
	 * 奖励设置详情 b
	 */
	assetUpdate(data) {
		return this.request({
			url: '/invite-asset/update',
			method: 'POST',
			data: data
		});
	}
}

export default new InviteService();
